重新启动_重新启动vue - CSDN
精华内容
参与话题
  • 1.在linux上安装inotifywait实现文件监控 (1) noitify下载地址:... (2) 上传到服务器 (3)解压安装 tar -zxvf inotify-tools-3.14.tar.gz ...进入到解压的文件中 ...cd...

    1.在linux上安装inotifywait实现文件监控

    (1)  noitify下载地址:http://github.com/downloads/rvoicilas/inotify-tools/inotify-tools-3.14.tar.gz

    (2)  上传到服务器

    (3)解压安装

    tar -zxvf inotify-tools-3.14.tar.gz

    进入到解压的文件中

    cd inotify-tools-3.14

    执行configure

    ./configure

    make

    先
    make
    再
    make install

    安装成功后在/usr/local/bin 下会有inotifywait 和 inotifywatch 命令。

    2.编写shell脚本

    这是我的目录,pd放java项目的jar包,pd_web放编译后的前端项目js之类的代码,script是放监听的脚本文件,和springboot的启动脚本文件

    pd目录

    pd_web目录

    script目录

    springboot.sh的内容用来控制jar包状态(里面用到了java命令需要自己提前装好jdk)

    #! /bin/bash
    # springboot的jar放同级目录下即可,只能有一个jar文件
    CURRENT_PATH=/home/ftpuser/pd/
    LOG=/home/ftpuser/script/springboot.log
    JAR=$(find $CURRENT_PATH -maxdepth 1 -name "*.jar")
    PID=$(ps -ef | grep $JAR | grep -v grep | awk '{ print $2 }')
    
    case "$1" in
        start)
            if [ ! -z "$PID" ]; then
                echo "$JAR 已经启动,进程号: $PID"
            else
                echo -n -e "启动 $JAR ... \n"
                cd $CURRENT_PATH
            nohup java -Dloader.path=$CURRENT_PATH,resources,lib -jar $JAR >$LOG 2>&1 &
                if [ "$?"="0" ]; then
                    echo "启动完成,请查看日志确保成功"
                else
                    echo "启动失败"
                fi
            fi
            ;;
        stop)
            if [ -z "$PID" ]; then
                echo "$JAR 没有在运行,无需关闭"
            else
                echo "关闭 $JAR ..."
                  kill -9 $PID
                if [ "$?"="0" ]; then
                    echo "服务已关闭"
                else
                    echo "服务关闭失败"
                fi
            fi
            ;;
        restart)
            ${0} stop
            ${0} start
            ;;
        kill)
            echo "强制关闭 $JAR"
            killall $JAR
            if [ "$?"="0" ]; then
                echo "成功"
            else
                echo "失败"
            fi
            ;;
        status)
            if [ ! -z "$PID" ]; then
                echo "$JAR 正在运行"
            else
                echo "$JAR 未在运行"
            fi
            ;;
      *)
        echo "Usage: ./springboot.sh {start|stop|restart|status|kill}" >&2
            exit 1
    esac

    watch_file_change.sh用来监听pd目录下的jar包是否有改变,当改变时自动调用springboot.sh 的restart命令

    #!/bin/bash
    src="/home/ftpuser/pd/"
    log="/home/ftpuser/script/watch.log"
    fileType="jar"
    /usr/local/bin/inotifywait -mr --timefmt '%d/%m/%y %H:%M' --format '%T %w %f' -e close_write $src | while read DATE TIME DIR FILE; do
    
    FILECHANGE=${DIR}${FILE}
    
    if [[ $FILECHANGE =~ $fileType ]]
    then
            echo “At ${TIME} on ${DATE}, file $FILECHANGE was change” >> $log
            /home/ftpuser/script/springboot.sh restart >> $log
    fi
    done
    

     

    给.sh文件添加x执行权限

    chmod u+x springboot.sh
    chmod u+x watch_file_change.sh

    执行watch_file_change.sh开启文件改变监听

    ./watch_file_change.sh

    查看进程是否成功开启

    [root@instance-g23bz0zz script]# ps aux|grep *

     

    至此结束,

    如果要单独运行jar包中的项目的话可以执行springboot.sh

    ./springboot.sh start

     

     

     

     

     

     

     

     

     

     

     

     

     

    展开全文
  • 重新启动服务

    千次阅读 2005-06-05 00:37:00
    重新启动服务 最近常去的论坛挂了,看起来是IIS进程系统资源占用太多了;服务器管理员又度周末去了,不能重启IIS,郁闷。CSDN服务器的IIS可能重启过于频繁了,分论坛页面经常来不及更新,自己发的帖子出现在列表里面...

    重新启动服务
    最近常去的论坛挂了,看起来是IIS进程系统资源占用太多了;服务器管理员又度周末去了,不能重启IIS,郁闷。CSDN服务器的IIS可能重启过于频繁了,分论坛页面经常来不及更新,自己发的帖子出现在列表里面的时候已经沉了,还是郁闷。

    微软知识库文章Q194916?Restarting?Web?Services?and?Scheduled?Tasks?with?a?Batch?File(http://support.microsoft.com/?kbid=194916?)中描述了定时用命令行重新启动IIS的方法,有想偷懒的网管可以试试。

    如果用程序来重新启动IIS的话,可以使用Shell对象的IShellDispatch2接口的ServiceStop 和ServiceStart方法。要使用Shell对象,可以调用CoCreateInstance,传递Shell对象的CLSID CLSID_SHELL来创建对象,然后查询其IShellDispatch/IShellDispatch2等接口。

    另外,WMI类Win32_ApplicationService?也提供了控制服务的方法StartService和StopService。cideguru上面有一个示例Using WMI to Extract Management Information(http://www.codeguru.com/Cpp/W-P/system/misc/article.php/c5675/)。


    当然,使用Windows服务API也是可以的——尽管需要OpenService之后再ControlService和StartService,看起来不是很简洁。平台SDK中的示例Sending Control Requests to a Service(http://msdn.microsoft.com/library/en-us/dllproc/base/sending_control_requests_to_a_service.asp)描述了这一点。

    这些方法都可以应用于其它服务。要查询服务的短名称的话,可以参考微软知识库文章Q271362?How?to?Find?the?Short?Names?of?Services?(http://support.microsoft.com/?kbid=271362
    参考文档
    Browse?for?a?Folder?the?COM?Way(Visual?C++?Developer,?Aug. 1999)

    More Windows 2000 UI Goodies: Extending Explorer Views by Customizing Hypertext Template Files(http://msdn.microsoft.com/msdnmag/issues/0600/w2kui2/default.aspx

    展开全文
  • 这时候我们可以通过下面的方式验证是否启动,并重新启动: step1 查找ES进程号 ps -ef | grep elastic 注意:下面的那个进程是当前这条命令的,不是真正的elasticsearch进程 step2 杀掉ES进程 ...

    作者专注于Java、架构、Linux、小程序、爬虫、自动化等技术。 工作期间含泪整理出一些资料,微信搜索【程序员高手之路】,回复 【java】【黑客】【爬虫】【小程序】【面试】等关键字免费获取资料。 

    前言

    先赞后看,此生必赚!

    有一种情况,当我们启动elasticsearch之后,

    经过很长一段时间没有操作,

    自己已经忘了是否已经启动了elasticsearch,

    这时候我们可以通过下面的方式验证是否启动,并重新启动:

    step1 查找ES进程号

    ps -ef | grep elastic

    注意:下面的那个进程是当前这条命令的,不是真正的elasticsearch进程

    step2 杀掉ES进程

    kill -9 3250

    杀掉进程之后,我们再用step1的命令进行查询,可以看到只有一条了

    这一条对应的是命令,而不是真正的elasticsearch。

    step3 重启ES

    把目录切换到elasticsearch的bin目录下,然后执行下面的命令

    sh elasticsearch -d

    OK, GAME OVER!

    更多内容,请关注公众号:程序员高手之路

    在公众号回复:es基础   即可免费获取elasticsearch视频教程(未加密)!

    展开全文
  • 重新启动应用程序,有两种方法,分别是: 1.通过ActivityManager来重新启动应用程序: ActivityManager manager = (ActivityManager)this.getSystemService(Context.ACTIVITY_SERVICE); manager....

    重新启动应用程序,有两种方法,分别是:

    1.通过ActivityManager来重新启动应用程序:

    ActivityManager manager = (ActivityManager)this.getSystemService(Context.ACTIVITY_SERVICE);  
    manager.restartPackage("com.example.test");  
    2.通过flag来实现:

    Intent intent = new Intent();  
    intent.setFlags(Intent.FLAG_ACTIVITY_CLEAR_TOP);  
    startActivity(intent);  


    重新启动系统的方法有:

    PowerManager manager = (PowerManager)this.getSystemService(Context.POWER_SERVICE);  
    manager.reboot("重新启动系统");  

    原帖地址:http://blog.csdn.net/faith_boys/article/details/8426414


    展开全文
  • 你的电脑遇到问题,需要重新启动

    万次阅读 2019-06-12 12:14:28
    你的电脑遇到问题,需要重新启动 解决过程: 1、强制重启 2、疯狂 F12 3、F8 4、进入安全模式 5、win+R输入msconfig 6、一般此时会看到选中的是第三个(有选择的启动),改成第一个重启。 ...
  • 有时候电脑会出现问题,提示“你的电脑遇到问题,需要重新启动,我们只收集某些错误信息,然后为你重新启动。”其实出现这样的问题也是比较头痛的问题,系统出问题一般就是两个原因引起的,一、软件,二、硬件。 ...
  • 计算机意外地重新启动或遇到错误。Windows 安装无法继续。若要安装Windows,请单击“确定”重新启动计算机,然后重新启动安装”。 http://www.baidusoso.net/ 2014-9-19 20:15:57 来源:阿辉个人博客 点击:94 ...
  • 在计算机服务中将服务Protexis Licensing V2右键改为自动,并启动即可。 X7 服务名称:Corel License Validation Service V2 x64, Powered by arvato
  • 若要安装Windows,请单击“确定”重新启动计算机,然后重新启动安装” 解决办法: 打开命令窗口, 输入cd\ 并按下enter键后将返回到根目录,此时屏幕上显示C:\>; 接下来输入:windows\system32\oobe\...
  • 问题现场安装的系统:Windows7 64位 服务器:Dell poweredge r210 SATA Controller设置为ATA Mode安装方式:使用大白菜PE,将Windows7的安装文件复制到硬盘上,通过...若要安装Windows,请单击“确定”重新启动
  • 解决方法如下: 1.运行 regedit 打开注册表编辑器。 2.依次展开HKEY_LOCAL_MACHINE\SYSTEM\CurrentControlSet\Control\SessionManager目录,找到其中的 PendingFileRenameOperations 项目,直接右键,选择“删除”...
  • 今天遇到了电脑启动提示“你的电脑遇到问题,需要重新启动,我们只收集某些错误信息,然后为你重新启动。”,我在网上查了许多这方面的问题,主要总结为两点,一、软件,二、硬件。 首先说下这个提示,这是微软收集...
  • 一、前言 使用虚拟机遇到挺多问题,有些比较有意义的,我就将其记录了下来,希望能够帮到大家。 二、踩坑 踩坑示意图如下: 三、填坑 填坑方法如下: 打开如下链接,下载Redistributable并安装。...
  • 重新启动打印后台处理程序 分析:打印服务没有打开,所以,无法调用打印服务的接口。 解决:打开控制面板\所有控制面板项\管理工具\服务,在名称那里找到Print Spooler ,双击,把启动类型改成“自动”,然后如果...
  • 于是就重启啊重启啊重启啊……重启了4遍,才发现被Symantec给忽悠了……HKEY_LOCAL_MACHINE/SYSTEM/ControlSet001/Control/Session Manager下的PendingFileRenameOperations,发现原来真的记录了一个挂起的操作,看...
  • 计算机意外地重新启动或遇到错误。windows安装无法继续 ”提示时,按什么也没用,这时只需 按下shift+f10 会打开命令窗口,输入 CD\ 并按下回车键后将返回到根目录,此时屏幕上显示的是 C:\> ; 接下来输入 ...
  • 电脑出现问题而重新启动 请按一下按键 或等几秒钟以继续启动 大概长这个样子,然后网上疯狂找资料 找到解释是: 所谓五国问题是指MAC OS系统出现重大系统问题而死机的状态,相当于WINDOWS的蓝屏;因为此时屏幕会变...
  • 该异常时在安装MySQL数据库服务是遇到的,错误提示内容如下图:“ 无法启动此程序,因为在计算机中丢失 MSVCP140.dll。尝试重新安装该程序以解决此问题。”如下图:我这儿是缺少vc++2005导致的,直接下载 vc++2005 ...
  • 安装Server SQL 2008,出现如下图问题: 解决办法: 1、win+R键打开运行窗口,输入regedit,回车打开注册表编辑器 2、在打开的注册表编辑器窗口中,点击展开左侧菜单中的HKEY_LOCAL_MACHINE\SOFTWARE\...
  • 电脑遇到问题,需要重新启动

    万次阅读 2018-06-29 20:49:10
    不少用户在启动win10系统电脑的时候,都遇到了错误提示“你的电脑遇到问题,需要重新启动。我们只收集某些错误信息,然后你可以重新启动”。这是怎么回事呢?其实,该情况是由于系统中驱动出错或者配置不正确导致的...
1 2 3 4 5 ... 20
收藏数 1,450,663
精华内容 580,265
关键字:

重新启动